
Foreman - Feature #27049

Add onPopState HOC

06/13/2019 01:45 PM - Gilad Lekner

Status: Closed   

Priority: Normal   

Assignee: Gilad Lekner   

Category: Web Interface   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6842

  

Description

New pages that are wrapped with `withRouter` can use this HOC to trigger a callback when the search query changes.

Associated revisions

Revision c1a587ac - 07/04/2019 02:51 PM - Gilad Lekner 

Fixes #27049 - Add onPopState HOC

History

#1 - 06/13/2019 02:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6842 added

#2 - 07/04/2019 02:52 PM - Ohad Levy

- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added

#3 - 07/04/2019 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset c1a587acbefe277ca7b7f3286d465ced02dd846c.
